package "monit" do
  action :install
end

template "/etc/monit/monitrc" do
  owner "root"
  group "root"
  mode 0700
  source 'monitrc.erb'
end

if platform?("ubuntu")
  cookbook_file "/etc/default/monit" do
    source "monit.default"
    owner "root"
    group "root"
    mode 0644
  end
end

service "monit" do
  action :start
  enabled true
end

# use 'notifies :run, resources(:execute => "reload monit")' to notify
# monit you've added some new configuration
execute "reload monit" do
  command "monit reload"
  action :nothing # must be notified to reload
end

